Vraag & Antwoord

OS Linux

Hoe kan ik printen met een hpdj710c onder debian unstable

Anoniem
None
29 antwoorden
  • Ik heb intussen het volgende gecontroleerd. Die interrupt 7 wordt zo te zien alleen getoont bij Debian unstable met kernel 2.6.5. Ik heb nogmaals op een andere partitie geïnstalleerd Debian unstable met kernel 2.4.26. Dan wordt interrupt 7 bij mij ook niet getoond. Terwijl bij mij bij kernel 26.5 module lp automatisch wordt geladen, is dat bij die kernel 2.4.26 niet het geval. Als ik deze dan handmatig laad via modprobe lp, dan wordt die interrupt 7 nog steeds niet getoond. De dmesg | grep lp is bij mij dan in orde.

    Dus de vraag, gebruik je inderdaad kernel 2.4.26 [code:1:b3aabbffa4] uname -r [/code:1:b3aabbffa4][Enter] Welke wijziging heb je aangebracht om lp automatisch te laden? Heb je geprobeerd te zetten onderaan in /etc/modules
    [code:1:b3aabbffa4] lp [/code:1:b3aabbffa4] en een reboot. Is de printer poort verder wel in orde? Print deze wel in DOS? Als je inderdaad kernel 2.4.26 gebruikt, en die wijziging in /etc/modules helpt niet, zou je dan kernel 2.6.5 overwegen?

  • uname -r geeft aan dat ik kernel 2.4.24 gebruik. Ik had in /etc/modules nog geen lp toegevoegd. dit heb ik inmiddels wel gedaan, opnieuw opgestart, maar ik kan nog steeds geen testpagina afdrukken. ik krijg hirbij nog steeds dezelfde foutmelding. dmesg | grep parport geeft geen output. Kernel 2.6.5 zou ik best willen gebruiken, maar daar kan mijn draadloos netwerkkaartje (en de cisco vpn client) niet mee overweg. Is cups misschien een optie? Of blijf ik dan van hetzelfde probleem last houden. Ik heb het wel eerder geprobeerd op mijn desktop, maar nog niet op mijn laptop omdat het toen ook niet luktte.

    Ik heb nog ff gekeken met make menuconfig hoe ik mijn kernel heb geconfigureerd en daar
    heb ik bij Parallel port support de optie parallel port support op <M> staan de optie van PC-style hardware staat op < >. Had ik deze ook op <M> moeten zetten?
  • [quote:45134cac83="Kopskops"] Ik heb nog ff gekeken met make menuconfig hoe ik mijn kernel heb geconfigureerd en daar heb ik bij Parallel port support de optie parallel port support op <M> staan de optie van PC-style hardware staat op < >. Had ik deze ook op <M> moeten zetten?[/quote:45134cac83] Ik dacht eigenlijk dat je de voor gecompileerde kernel gebruikte. Maar het antwoord op die vraag is ja. PC-style hardware <M>. Bij help staat namelijk partport_pc als module naam.
  • Na het opnieuw configureren, compileren en installeren van mijn kernel ben ik weer verder gegaan met apsfilter. dmesg| grep parport geeft een vergelijkbare reactie als in jouw reactie op 24 aug met kernel 2.4.26. lsmod | grep lp geeft dezelfde reactie als bij jou. Dus dat zit wel goed dacht ik. Maar helaas… er komt geen testpagina uit mijn printer rollen. Wel ben ik van de foutmelding verlost. Toch maar eens cups proberen?
  • Overigens zou ik niet weten of dat printen via apsfilter met een parallel poort werkt bij mij. Ik heb alleen maar een USB printer.

    cups zou je inderdaad kunnen proberen. Heb je cups dan al geïnstalleerd? Controleer dat eventueel met
    [code:1:b68e58fa35]
    apt-get update
    apt-get install cups*
    [/code:1:b68e58fa35]
    Bij mij was deze nog niet geïnstalleerd. Ik heb de Debian unstable/testing DVD moeten plaatsen in de DVD-speler. En het configureren doe je dan via Cups-printer-manager. Deze info is eigenlijk voor SuSE. Wellicht staat er toch iets bruikbaars in.


    Edit:

    En cups configureren vanaf de command line kan wellicht met deze info http://www.linuxprinting.org/cups-doc.html
  • apt-get install cups* geeft de volgende foutmelding:

    [code:1:8a398ca61d]The following packages have unmet dependencies:
    cupsys: Depends: gs-esp but it is not going to be installed
    Conflicts: cupsys-pstoraster (< 2) but 1.1.14-5 is to be installed
    E: Broken packages
    [/code:1:8a398ca61d] :cry: :cry: :cry:
    Kan het niet met alleen:
    [code:1:8a398ca61d]apt-get install cupsys-client cupsys [/code:1:8a398ca61d]
    ? :roll: :roll:
  • [quote:45d29a59bf="Kopskops"] Kan het niet met alleen: [code:1:45d29a59bf] apt-get install cupsys-client cupsys [/code:1:45d29a59bf] [/quote:45d29a59bf] Dat weet ik eigenlijk niet. Je zou het kunnen proberen. Bij mij werkte die
    [code:1:45d29a59bf]
    apt-get update
    apt-get install cups*
    [/code:1:45d29a59bf] in Debian unstable/testing wel. Wellicht heb jij een andere pakketten selectie gemaakt dan ik. Bij mij werkt het printen in cups ook nog niet.
  • Met cups is het gelukt en wel met enkele muisklikken. :lol: :lol: :lol: :lol: :lol:
    Helaas kan ik allen nog niet printen met mozilla/firebird. :cry: :cry: :cry: :cry: :cry:
    Nog ff uitzoeken hoe dit werkt!
    Jolo bedankt voor alle hulp. Weer een hoop erbij geleerd. :o
  • Het is gelukt om te printen met mozilla/firebird.
    Het enige wat ik heb hoeven doen is onder File->Print ..->Properties…
    Command: lp
    aan te passen i.p.v lpr
    Ik ben zeer blij en kan met een goed gevoel aan het weekend beginnen!!
    :lol: :lol: :lol: :lol: :lol: :lol: :lol: :lol: :lol: :lol: :lol: :lol: :lol: :lol: :lol: :lol:

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.